manualIgnition5830Event = {};
manualIgnition5830Event_mt = Class(manualIgnition5830Event, Event);

InitEventClass(manualIgnition5830Event, "manualIgnition5830Event");

function manualIgnition5830Event:emptyNew()
    local self = Event:new(manualIgnition5830Event_mt);
    self.className="manualIgnition5830Event";
    return self;
end;

function manualIgnition5830Event:new(object, isRunning)
    local self = manualIgnition5830Event:emptyNew()
    self.object = object;
	self.isRunning = isRunning;
    return self;
end;

function manualIgnition5830Event:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.isRunning = streamReadBool(streamId);
    self.object = networkGetObject(id);
    self:run(connection);
end;

function manualIgnition5830Event:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteBool(streamId, self.isRunning);
end;

function manualIgnition5830Event:run(connection)
	self.object:invokeIgnition(self.isRunning);
    if not connection:getIsServer() then
        g_server:broadcastEvent(manualIgnition5830Event:new(self.object, self.isRunning), nil, connection, self.object);
    end;	
end;

function manualIgnition5830Event.sendEvent(vehicle, isRunning)
	if g_server ~= nil then
		g_server:broadcastEvent(manualIgnition5830Event:new(vehicle, isRunning), nil, nil, vehicle);
	else
		g_client:getServerConnection():sendEvent(manualIgnition5830Event:new(vehicle, isRunning));
	end;
end;

